• /
  • Log in

Java agent v6.5.0

April 26, 2021Download

New features and improvements:

  • The agent no longer bundles SSL certificates with it and the use_private_ssl option that configured the agent to use the previously bundled certificates has been removed. By default, the agent will use the SSL truststore provided by the JVM unless it is explicitly configured to use a different truststore with the ca_bundle_path option. See Configuring your SSL certificates for more details.

Fixes:

  • Fixes an issue that could cause incorrect transaction naming when using JAX-RS sub-resources.
  • Reactor Netty instrumentation improvements and fixes.

Deprecation notice

  • Java 7 compatibility deprecation

In order to continue to innovate and efficiently provide new capabilities to our customers who run on the JVM, Java 7 support has been deprecated and this will be the last version of the agent compatible with it.

If you are running Java 7, you may continue to use Java agent 6.5.0 or lower.

For more information, see the Explorers Hub post.

Support statement:

  • New Relic recommends that you upgrade the agent regularly to ensure that you're getting the latest features and performance benefits. Additionally, older releases will no longer be supported when they reach end-of-life.
Create issueEdit page
Copyright © 2021 New Relic Inc.